
D4Science Infrastructure - Task #7569

richiesti privilegi root su dev3.d4science.org

Mar 17, 2017 04:07 PM - Marco Palazzotti

Status: Rejected Start date: Mar 17, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Edison   

Infrastructure: Development   

Description

Buonasera,

accedo con l'utente life al server dev3.d4science.org. Ho necessità di fare prove di carico su questa vm e necessito dei diritti di root e

della possibilità di installare eventuali pacchetti mancanti.

Grazie,

Marco Palazzotti

History

#1 - Mar 17, 2017 05:06 PM - Pasquale Pagano

- Tracker changed from Bug to Task

- Project changed from 2 to D4Science Infrastructure

- Category set to System Application

- Assignee set to Massimiliano Assante

- Target version changed from zz - tomcat optimization to Edison

- Infrastructure Development added

Non capisco perchè questo ticket è aperto di tipo bug. Cambio ticket e progetto perchè entrambi incorretti.

#2 - Mar 17, 2017 05:12 PM - Massimiliano Assante

- Status changed from New to In Progress

Marco, i diritti di root non te li possiamo dare. Se ci dai un elenco delle applicazioni che intendi installare vediamo cosa possiamo fare.

#3 - Mar 23, 2017 10:56 AM - Marco Palazzotti

Oltre i comandi dovrei avere anche le autorizzazioni per lanciarli anche in cron. La maggior parte sono comandi che accedono a device, code, file di

log, etc.

Forse la soluzione potrebbe essere quella di crearmi un utente e metterlo nei sudoers. Come da vostra richiesta provo a fare una lista, che

difficilmente potrà essere completa.

vmstat

sar

iostat

awk

rrdtool

gnuplot

mpstat

modprobe

modinfo

tuned

tuned-adm

e2freefrag

e2fsck

make2fs

mkfs

accesso ai cgroups

cgexec

lscpu

getconf

dmidecode
lspci

lsusb

lshal

ionice

accesso anche in scrittura alle code di scheduler (/sys/block/vda/queue)

strace

ltrace

valgrind

perf

chrt

nice

renice

perf-list

perf-stat

perf-top

perf-timechart

systemtap

tuned-utils

sysctl

pmap

mkswap

swapon

chrt

tune2fs

blockdev

qperf

ethtool

accesso in scrittura ai file di configurazione della rete

ipcs

powertop

virsh

ksmtuned

sysstat

Saluti, 

Marco

#4 - Mar 23, 2017 11:30 AM - Pasquale Pagano

- Assignee changed from Massimiliano Assante to _InfraScience Systems Engineer

Your request is going to be analysed. Your will get an answer shortly.

In any case and according to the policies we implement, you will not get special privileges and at the end of your analysis you will have to report back

feedback to the system administrators. 

#5 - Apr 11, 2017 07:33 PM - Andrea Dell'Amico

- Status changed from In Progress to Rejected

- % Done changed from 0 to 100

The stress tests will be executed on an ENG internally hosted VM.
